// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.col.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>BL161CartagenadeIndias</code></b> collects multiple enumeration values together. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>BL161CartagenadeIndias.createInstance()</code> or <code>new BL161CartagenadeIndias()</code>. </p>
 * <ul>
 *     <li> Country: Colombia (COL) = <code>48</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Auxiliary = <code>16</code>; </li>
 *     <li> SubCategory: LuneburgClassType701SupportShips  = <code>1</code>; </li>
 *     <li> Specific: BL161CartagenadeIndias  = <code>1</code>; </li>
 *     <li> Entity type uid: 27487; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v28 (2020-05-07)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@6b81ce95. </p>
 * @see Country#COLOMBIA_COL
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see Auxiliary
 * @see SubCategory

 */
public final class BL161CartagenadeIndias extends EntityType
{
    /** Default constructor */
    public BL161CartagenadeIndias()
    {
        setCountry(Country.COLOMBIA_COL);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)16); // uid 27485, Auxiliary
        setSubCategory((byte)1); // uid 27486, Luneburg Class (Type 701, Support Ships)
        setSpecific((byte)1); // uid 27487, BL 161 Cartagena de Indias
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static BL161CartagenadeIndias createInstance()
    {
            return new BL161CartagenadeIndias();
    }
}
