// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.deu.platform.land;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>KabineII</code></b> collects multiple enumeration values together. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>KabineII.createInstance()</code> or <code>new KabineII()</code>. </p>
 * <ul>
 *     <li> Country: Germany (DEU) = <code>78</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>LAND</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Operations Facility = <code>30</code>; </li>
 *     <li> SubCategory: Kabine  = <code>1</code>; </li>
 *     <li> Specific: KabineII  = <code>2</code>; </li>
 *     <li> Entity type uid: 28062; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v28 (2020-05-07)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@78fa769e. </p>
 * @see Country#GERMANY_DEU
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see OperationsFacility
 * @see SubCategory

 */
public final class KabineII extends EntityType
{
    /** Default constructor */
    public KabineII()
    {
        setCountry(Country.GERMANY_DEU);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.LAND));

        setCategory((byte)30); // uid 28059, Operations Facility
        setSubCategory((byte)1); // uid 28060, Kabine
        setSpecific((byte)2); // uid 28062, Kabine II
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static KabineII createInstance()
    {
            return new KabineII();
    }
}
