// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.dnk.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>L17EsbernSnare</code></b> collects multiple enumeration values together. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>L17EsbernSnare.createInstance()</code> or <code>new L17EsbernSnare()</code>. </p>
 * <ul>
 *     <li> Country: Denmark (DNK) = <code>57</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Command Ship/Cruiser = <code>2</code>; </li>
 *     <li> SubCategory: Absalonclass  = <code>1</code>; </li>
 *     <li> Specific: L17EsbernSnare  = <code>2</code>; </li>
 *     <li> Entity type uid: 25429; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v28 (2020-05-07)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@4c371370. </p>
 * @see Country#ACTION_RESPONSE_RELIABLE
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see CommandShipCruiser
 * @see SubCategory

 */
public final class L17EsbernSnare extends EntityType
{
    /** Default constructor */
    public L17EsbernSnare()
    {
        setCountry(Country.ACTION_RESPONSE_RELIABLE);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)2); // uid 25426, Command Ship/Cruiser
        setSubCategory((byte)1); // uid 25427, Absalon class
        setSpecific((byte)2); // uid 25429, L17 Esbern Snare
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static L17EsbernSnare createInstance()
    {
            return new L17EsbernSnare();
    }
}
