// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.esp.platform.air;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>HC144AOceanSentry</code></b> collects multiple enumeration values together. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>HC144AOceanSentry.createInstance()</code> or <code>new HC144AOceanSentry()</code>. </p>
 * <ul>
 *     <li> Country: Spain (ESP) = <code>198</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>AIR</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Cargo/Tanker = <code>4</code>; </li>
 *     <li> SubCategory: CASACN235  = <code>3</code>; </li>
 *     <li> Specific: HC144AOceanSentry  = <code>1</code>; </li>
 *     <li> Entity type uid: 28397; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v28 (2020-05-07)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@435e60ff. </p>
 * @see Country#SPAIN_ESP
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see CargoTanker
 * @see SubCategory

 */
public final class HC144AOceanSentry extends EntityType
{
    /** Default constructor */
    public HC144AOceanSentry()
    {
        setCountry(Country.SPAIN_ESP);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.AIR));

        setCategory((byte)4); // uid 18999, Cargo/Tanker
        setSubCategory((byte)3); // uid 24759, CASA CN-235
        setSpecific((byte)1); // uid 28397, HC-144A Ocean Sentry
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static HC144AOceanSentry createInstance()
    {
            return new HC144AOceanSentry();
    }
}
