// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.grc.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>M63Kallisto</code></b> collects multiple enumeration values together. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>M63Kallisto.createInstance()</code> or <code>new M63Kallisto()</code>. </p>
 * <ul>
 *     <li> Country: Greece (GRC) = <code>82</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Mine Countermeasure Ship/Craft = <code>8</code>; </li>
 *     <li> SubCategory: EvropiHuntclass  = <code>1</code>; </li>
 *     <li> Specific: M63Kallisto  = <code>2</code>; </li>
 *     <li> Entity type uid: 23388; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v28 (2020-05-07)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@41e68d87. </p>
 * @see Country#GREECE_GRC
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see MineCountermeasureShipCraft
 * @see SubCategory

 */
public final class M63Kallisto extends EntityType
{
    /** Default constructor */
    public M63Kallisto()
    {
        setCountry(Country.GREECE_GRC);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)8); // uid 23385, Mine Countermeasure Ship/Craft
        setSubCategory((byte)1); // uid 23386, Evropi (Hunt) class
        setSpecific((byte)2); // uid 23388, M63 Kallisto
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static M63Kallisto createInstance()
    {
            return new M63Kallisto();
    }
}
