// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.ita.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>D561FranciscoMimbelli</code></b> collects multiple enumeration values together. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>D561FranciscoMimbelli.createInstance()</code> or <code>new D561FranciscoMimbelli()</code>. </p>
 * <ul>
 *     <li> Country: Italy (ITA) = <code>106</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Guided Missile Destroyer (DDG) = <code>4</code>; </li>
 *     <li> SubCategory: DurandDeLaPenneClass  = <code>2</code>; </li>
 *     <li> Specific: D561FranciscoMimbelli  = <code>2</code>; </li>
 *     <li> Entity type uid: 18340; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v28 (2020-05-07)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@5e81e5ac. </p>
 * @see Country#ITALY_ITA
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see GuidedMissileDestroyerDDG
 * @see SubCategory

 */
public final class D561FranciscoMimbelli extends EntityType
{
    /** Default constructor */
    public D561FranciscoMimbelli()
    {
        setCountry(Country.ITALY_ITA);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)4); // uid 18334, Guided Missile Destroyer (DDG)
        setSubCategory((byte)2); // uid 18338, Durand De La Penne Class
        setSpecific((byte)2); // uid 18340, D 561 Francisco Mimbelli
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static D561FranciscoMimbelli createInstance()
    {
            return new D561FranciscoMimbelli();
    }
}
