// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.ita.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>P401Cassiopea</code></b> collects multiple enumeration values together. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>P401Cassiopea.createInstance()</code> or <code>new P401Cassiopea()</code>. </p>
 * <ul>
 *     <li> Country: Italy (ITA) = <code>106</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Light/Patrol Craft = <code>7</code>; </li>
 *     <li> SubCategory: CassiopeaClassOffshorePatrolVesselsOPV  = <code>1</code>; </li>
 *     <li> Specific: P401Cassiopea  = <code>1</code>; </li>
 *     <li> Entity type uid: 18343; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v28 (2020-05-07)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@665df3c6. </p>
 * @see Country#ITALY_ITA
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see LightPatrolCraft
 * @see SubCategory

 */
public final class P401Cassiopea extends EntityType
{
    /** Default constructor */
    public P401Cassiopea()
    {
        setCountry(Country.ITALY_ITA);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)7); // uid 18341, Light/Patrol Craft
        setSubCategory((byte)1); // uid 18342, Cassiopea Class (Offshore Patrol Vessels) (OPV)
        setSpecific((byte)1); // uid 18343, P401 Cassiopea
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static P401Cassiopea createInstance()
    {
            return new P401Cassiopea();
    }
}
