// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.nor.platform.land;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>NASAMSFireDistributionCenterFDC</code></b> collects multiple enumeration values together. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>NASAMSFireDistributionCenterFDC.createInstance()</code> or <code>new NASAMSFireDistributionCenterFDC()</code>. </p>
 * <ul>
 *     <li> Country: Norway (NOR) = <code>163</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>LAND</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Air Defense / Missile Defense Unit Equipment = <code>28</code>; </li>
 *     <li> SubCategory: NorwegianAdvancedSurfacetoAirMissileSystemNASAMS  = <code>1</code>; </li>
 *     <li> Specific: NASAMSFireDistributionCenterFDC  = <code>2</code>; </li>
 *     <li> Entity type uid: 30281; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v28 (2020-05-07)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@443dbe42. </p>
 * @see Country#NORWAY_NOR
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see AirDefenseMissileDefenseUnitEquipment
 * @see SubCategory

 */
public final class NASAMSFireDistributionCenterFDC extends EntityType
{
    /** Default constructor */
    public NASAMSFireDistributionCenterFDC()
    {
        setCountry(Country.NORWAY_NOR);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.LAND));

        setCategory((byte)28); // uid 30278, Air Defense / Missile Defense Unit Equipment
        setSubCategory((byte)1); // uid 30279, Norwegian Advanced Surface to Air Missile System (NASAMS)
        setSpecific((byte)2); // uid 30281, NASAMS Fire Distribution Center (FDC)
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static NASAMSFireDistributionCenterFDC createInstance()
    {
            return new NASAMSFireDistributionCenterFDC();
    }
}
