// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.slb.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>Auki</code></b> collects multiple enumeration values together. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>Auki.createInstance()</code> or <code>new Auki()</code>. </p>
 * <ul>
 *     <li> Country: Solomon Islands (SLB) = <code>194</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Light/Patrol Craft = <code>7</code>; </li>
 *     <li> SubCategory: PacificClassPatrolBoat  = <code>1</code>; </li>
 *     <li> Specific: Auki  = <code>2</code>; </li>
 *     <li> Entity type uid: 26749; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v28 (2020-05-07)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@69391e08. </p>
 * @see Country#SOLOMON_ISLANDS_SLB
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see LightPatrolCraft
 * @see SubCategory

 */
public final class Auki extends EntityType
{
    /** Default constructor */
    public Auki()
    {
        setCountry(Country.SOLOMON_ISLANDS_SLB);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)7); // uid 26746, Light/Patrol Craft
        setSubCategory((byte)1); // uid 26747, Pacific Class Patrol Boat
        setSpecific((byte)2); // uid 26749, Auki
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static Auki createInstance()
    {
            return new Auki();
    }
}
