// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.usa.expendable.air;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>ANALE50AdvancedAirborneExpendableDecoyAAED</code></b> collects multiple enumeration values together. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>ANALE50AdvancedAirborneExpendableDecoyAAED.createInstance()</code> or <code>new ANALE50AdvancedAirborneExpendableDecoyAAED()</code>. </p>
 * <ul>
 *     <li> Country: United States of America (USA) = <code>225</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>AIR</code>; </li>
 *     <li> Domain: Expendable = <code>8</code>; </li>
 *     <li> Category: Active emitter = <code>4</code>; </li>
 *     <li> SubCategory: TowedDecoy  = <code>1</code>; </li>
 *     <li> Specific: ANALE50AdvancedAirborneExpendableDecoyAAED  = <code>1</code>; </li>
 *     <li> Entity type uid: 22253; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v28 (2020-05-07)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@40a28bda. </p>
 * @see Country#UNITED_STATES_OF_AMERICA_USA
 * @see EntityKind#EXPENDABLE
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see Activeemitter
 * @see SubCategory

 */
public final class ANALE50AdvancedAirborneExpendableDecoyAAED extends EntityType
{
    /** Default constructor */
    public ANALE50AdvancedAirborneExpendableDecoyAAED()
    {
        setCountry(Country.UNITED_STATES_OF_AMERICA_USA);
        setEntityKind(EntityKind.EXPENDABLE);
        setDomain(Domain.inst(PlatformDomain.AIR));

        setCategory((byte)4); // uid 22251, Active emitter
        setSubCategory((byte)1); // uid 22252, Towed Decoy
        setSpecific((byte)1); // uid 22253, AN/ALE-50 Advanced Airborne Expendable Decoy (AAED)
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static ANALE50AdvancedAirborneExpendableDecoyAAED createInstance()
    {
            return new ANALE50AdvancedAirborneExpendableDecoyAAED();
    }
}
