// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.usa.platform.land;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>JLENSSuRProcessingStation</code></b> collects multiple enumeration values together. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>JLENSSuRProcessingStation.createInstance()</code> or <code>new JLENSSuRProcessingStation()</code>. </p>
 * <ul>
 *     <li> Country: United States of America (USA) = <code>225</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>LAND</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Surveillance Facility = <code>32</code>; </li>
 *     <li> SubCategory: JLENSProcessingStationsGeneral  = <code>1</code>; </li>
 *     <li> Specific: JLENSSuRProcessingStation  = <code>2</code>; </li>
 *     <li> Entity type uid: 10745; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v28 (2020-05-07)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@4a8ffd75. </p>
 * @see Country#UNITED_STATES_OF_AMERICA_USA
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see SurveillanceFacility
 * @see SubCategory

 */
public final class JLENSSuRProcessingStation extends EntityType
{
    /** Default constructor */
    public JLENSSuRProcessingStation()
    {
        setCountry(Country.UNITED_STATES_OF_AMERICA_USA);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.LAND));

        setCategory((byte)32); // uid 10742, Surveillance Facility
        setSubCategory((byte)1); // uid 10743, JLENS Processing Stations (General)
        setSpecific((byte)2); // uid 10745, JLENS SuR Processing Station
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static JLENSSuRProcessingStation createInstance()
    {
            return new JLENSSuRProcessingStation();
    }
}
