// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.usa.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>TARC6AlbertJMyer</code></b> collects multiple enumeration values together. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>TARC6AlbertJMyer.createInstance()</code> or <code>new TARC6AlbertJMyer()</code>. </p>
 * <ul>
 *     <li> Country: United States of America (USA) = <code>225</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Auxiliary, Merchant Marine = <code>17</code>; </li>
 *     <li> SubCategory: CableRepairShipsSpecialMissionSupport  = <code>22</code>; </li>
 *     <li> Specific: TARC6AlbertJMyer  = <code>1</code>; </li>
 *     <li> Entity type uid: 11902; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v28 (2020-05-07)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@498a612d. </p>
 * @see Country#UNITED_STATES_OF_AMERICA_USA
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see AuxiliaryMerchantMarine
 * @see SubCategory

 */
public final class TARC6AlbertJMyer extends EntityType
{
    /** Default constructor */
    public TARC6AlbertJMyer()
    {
        setCountry(Country.UNITED_STATES_OF_AMERICA_USA);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)17); // uid 11770, Auxiliary, Merchant Marine
        setSubCategory((byte)22); // uid 11901, Cable Repair Ships (Special Mission Support)
        setSpecific((byte)1); // uid 11902, TARC 6 Albert J. Myer
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static TARC6AlbertJMyer createInstance()
    {
            return new TARC6AlbertJMyer();
    }
}
