// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.usa.sensoremitter.land;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>M22Binoculars</code></b> collects multiple enumeration values together. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>M22Binoculars.createInstance()</code> or <code>new M22Binoculars()</code>. </p>
 * <ul>
 *     <li> Country: United States of America (USA) = <code>225</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>LAND</code>; </li>
 *     <li> Domain: Sensor/Emitter = <code>9</code>; </li>
 *     <li> Category: Optical (direct viewing with or without optics) = <code>4</code>; </li>
 *     <li> SubCategory: AcquisitionDetection  = <code>5</code>; </li>
 *     <li> Specific: M22Binoculars  = <code>1</code>; </li>
 *     <li> Entity type uid: 32299; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v28 (2020-05-07)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@5604b85. </p>
 * @see Country#UNITED_STATES_OF_AMERICA_USA
 * @see EntityKind#SENSOR_EMITTER
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see Opticaldirectviewingwithorwithoutoptics
 * @see SubCategory

 */
public final class M22Binoculars extends EntityType
{
    /** Default constructor */
    public M22Binoculars()
    {
        setCountry(Country.UNITED_STATES_OF_AMERICA_USA);
        setEntityKind(EntityKind.SENSOR_EMITTER);
        setDomain(Domain.inst(PlatformDomain.LAND));

        setCategory((byte)4); // uid 32297, Optical (direct viewing with or without optics)
        setSubCategory((byte)5); // uid 32298, Acquisition/Detection
        setSpecific((byte)1); // uid 32299, M22 Binoculars
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static M22Binoculars createInstance()
    {
            return new M22Binoculars();
    }
}
